﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Charting;
using Telerik.Windows.Controls;

namespace ChartTest
{
    public class MainViewModel : ViewModelBase
    {
        private List<MyItem> data;

        public List<MyItem> Data
        {
            get
            {
                return this.data;
            }
            set
            {
                this.data = value;
                this.OnPropertyChanged("Data");
            }
        }

        public MainViewModel()
        {
            this.Data = new List<MyItem>();
            this.Data.Add(new MyItem() { Month = "January", Profit = 150 });
            this.Data.Add(new MyItem() { Month = "February", Profit = 80 });
            this.Data.Add(new MyItem() { Month = "March", Profit = 60 });
        }
    }

    public class MyItem
    {
        public string Month { get; set; }
        public double Profit { get; set; }
    }
}
